Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

corporate_account.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: voucher.php,v 1.4 2001/09/24 10:19:16 ce Exp $
5 //
6 // Created on: <08-Feb-2001 14:11:48 ce>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/INIFile.php" );
28 // include_once( "classes/eztemplate.php" );
29 // include_once( "classes/ezlocale.php" );
30 // include_once( "classes/ezcurrency.php" );
31 // include_once( "classes/ezhttptool.php" );
32 // include_once( "classes/ezcctool.php" );
33 // include_once( "eztrade/classes/ezvoucher.php" );
34
35 // include_once( "ezuser/classes/ezuser.php" );
36
37 if ( isSet ( $Back ) )
38 {
39 eZHTTPTool::header( "Location: /trade/checkout/" );
40 exit();
41 }
42
43
44 $ini =& eZINI::instance( 'site.ini' );
45
46 $Language = $ini->variable( "eZTradeMain", "Language" );
47
48 $session->setVariable( "PayWithVocuher", "" );
49
50 $t = new eZTemplate( "kernel/eztrade/user/" . $ini->variable( "eZTradeMain", "TemplateDir" ),
51 "kernel/eztrade/user/intl/", $Language, "corporate_account.php" );
52
53 $t->set_file( "voucher_tpl", "corporate_account.tpl" );
54
55 $t->setAllStrings();
56
57
58 $user =& eZUser::currentUser();
59
60 $accountNumber = $user->accountNumber();
61
62 $t->set_var( "account_number", $accountNumber );
63
64
65 $t->set_block( "voucher_tpl", "error_tpl", "error" );
66 $t->set_var( "error", "" );
67
68 if ( $Action == "Verify" )
69 {
70 $user =& eZUser::currentUser();
71 $accountNumber = $user->accountNumber();
72
73 /*
74 if ( get_class ( $voucher ) == "ezvoucher" )
75 {
76 $array[] = $voucher->id();
77
78
79 $append = $session->arrayValue( "PayWithVoucher" );
80
81
82 $array = array_merge( $array, $append );
83
84 $session->setArray( "PayWithVoucher", $array );
85 $session->arrayValue( "PayWithVoucher" );
86
87 eZHTTPTool::header( "Location: /trade/checkout/" );
88 exit();
89 }
90
91 $t->parse( "error", "error_tpl" );
92 $PaymentSuccess = "false";
93 */
94
95 // bypass the payment.
96 $PaymentSuccess = "true";
97
98 }
99
100
101 // $ChargeTotal is the value to charge the customer with
102
103 $t->set_var( "order_id", $PreOrderID );
104 $t->set_var( "payment_type", $PaymentType );
105
106 $t->pparse( "output", "voucher_tpl" );
107 ?>
$session
$session
Definition: admin/articlelist.php:44
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZTemplate
Definition: eztemplate.php:107
eZUser\currentUser
static & currentUser()
Definition: ezuser.php:896
$Action
$Action
Definition: companysearch.php:80
$t
$t
Definition: corporate_account.php:50
$user
$user
Definition: corporate_account.php:58
$Language
$Language
Definition: corporate_account.php:46
$ini
if(isSet( $Back)) $ini
Definition: corporate_account.php:44
$accountNumber
$accountNumber
Definition: corporate_account.php:60
exit
exit
Definition: folder.php:81
$PaymentSuccess
$PaymentSuccess
Definition: invoice.php:29
$PreOrderID
$PreOrderID
Definition: payment.php:135
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.